VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL XLXN_49
        SIGNAL XLXN_74
        SIGNAL CLK_IN
        SIGNAL XLXN_120
        SIGNAL XLXN_139
        SIGNAL XLXN_140
        SIGNAL XLXN_141
        SIGNAL XLXN_142
        SIGNAL XLXN_143
        SIGNAL XLXN_144
        SIGNAL XLXN_150
        SIGNAL XLXN_151
        SIGNAL CLK_OUT
        SIGNAL XLXN_153
        PORT Input CLK_IN
        PORT Output CLK_OUT
        BEGIN BLOCKDEF cd4ce
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 384 -192 320 -192 
            RECTANGLE N 64 -512 320 -64 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
            LINE N 192 -32 64 -32 
            LINE N 192 -64 192 -32 
            LINE N 384 -128 320 -128 
            LINE N 384 -256 320 -256 
            LINE N 384 -320 320 -320 
            LINE N 384 -384 320 -384 
            LINE N 384 -448 320 -448 
            LINE N 0 -32 64 -32 
            LINE N 0 -192 64 -192 
            LINE N 0 -128 64 -128 
        END BLOCKDEF
        BEGIN BLOCKDEF gnd
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -64 64 -96 
            LINE N 76 -48 52 -48 
            LINE N 68 -32 60 -32 
            LINE N 88 -64 40 -64 
            LINE N 64 -64 64 -80 
            LINE N 64 -128 64 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF vcc
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -32 64 -64 
            LINE N 64 0 64 -32 
            LINE N 96 -64 32 -64 
        END BLOCKDEF
        BEGIN BLOCK XLXI_12 cd4ce
            PIN C XLXN_143
            PIN CE XLXN_151
            PIN CLR XLXN_120
            PIN CEO
            PIN Q0
            PIN Q1
            PIN Q2
            PIN Q3 XLXN_144
            PIN TC
        END BLOCK
        BEGIN BLOCK XLXI_11 cd4ce
            PIN C XLXN_142
            PIN CE XLXN_151
            PIN CLR XLXN_120
            PIN CEO
            PIN Q0
            PIN Q1
            PIN Q2
            PIN Q3 XLXN_143
            PIN TC
        END BLOCK
        BEGIN BLOCK XLXI_14 gnd
            PIN G XLXN_120
        END BLOCK
        BEGIN BLOCK XLXI_15 vcc
            PIN P XLXN_49
        END BLOCK
        BEGIN BLOCK XLXI_6 cd4ce
            PIN C CLK_IN
            PIN CE XLXN_49
            PIN CLR XLXN_74
            PIN CEO
            PIN Q0
            PIN Q1 XLXN_153
            PIN Q2
            PIN Q3
            PIN TC
        END BLOCK
        BEGIN BLOCK XLXI_13 gnd
            PIN G XLXN_74
        END BLOCK
        BEGIN BLOCK XLXI_10 cd4ce
            PIN C XLXN_141
            PIN CE XLXN_150
            PIN CLR XLXN_74
            PIN CEO
            PIN Q0
            PIN Q1
            PIN Q2
            PIN Q3 XLXN_142
            PIN TC
        END BLOCK
        BEGIN BLOCK XLXI_9 cd4ce
            PIN C XLXN_140
            PIN CE XLXN_150
            PIN CLR XLXN_74
            PIN CEO
            PIN Q0
            PIN Q1
            PIN Q2
            PIN Q3 XLXN_141
            PIN TC
        END BLOCK
        BEGIN BLOCK XLXI_8 cd4ce
            PIN C XLXN_139
            PIN CE XLXN_150
            PIN CLR XLXN_74
            PIN CEO
            PIN Q0
            PIN Q1
            PIN Q2
            PIN Q3 XLXN_140
            PIN TC
        END BLOCK
        BEGIN BLOCK XLXI_7 cd4ce
            PIN C XLXN_153
            PIN CE XLXN_49
            PIN CLR XLXN_74
            PIN CEO
            PIN Q0
            PIN Q1
            PIN Q2
            PIN Q3 XLXN_139
            PIN TC
        END BLOCK
        BEGIN BLOCK XLXI_33 cd4ce
            PIN C XLXN_144
            PIN CE XLXN_151
            PIN CLR XLXN_120
            PIN CEO
            PIN Q0
            PIN Q1
            PIN Q2
            PIN Q3 CLK_OUT
            PIN TC
        END BLOCK
        BEGIN BLOCK XLXI_42 vcc
            PIN P XLXN_150
        END BLOCK
        BEGIN BLOCK XLXI_43 vcc
            PIN P XLXN_151
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3801 2688
        ATTR LengthUnitName "CM"
        ATTR GridsPerUnit "4"
        INSTANCE XLXI_12 1744 1888 R0
        INSTANCE XLXI_11 1088 1888 R0
        INSTANCE XLXI_14 976 2208 R0
        BEGIN BRANCH XLXN_49
            WIRE 64 144 64 160
            WIRE 64 160 64 544
            WIRE 64 544 192 544
            WIRE 64 160 1088 160
            WIRE 1088 160 1088 528
            WIRE 1088 528 1552 528
        END BRANCH
        INSTANCE XLXI_15 0 144 R0
        INSTANCE XLXI_6 192 736 R0
        INSTANCE XLXI_13 2880 1088 R0
        INSTANCE XLXI_10 3296 720 R0
        INSTANCE XLXI_9 2704 720 R0
        INSTANCE XLXI_8 2128 720 R0
        INSTANCE XLXI_7 1552 720 R0
        BEGIN BRANCH XLXN_74
            WIRE 192 704 192 848
            WIRE 192 848 1520 848
            WIRE 1520 848 2096 848
            WIRE 2096 848 2656 848
            WIRE 2656 848 2944 848
            WIRE 2944 848 2944 960
            WIRE 2944 848 3296 848
            WIRE 1520 688 1552 688
            WIRE 1520 688 1520 848
            WIRE 2096 688 2128 688
            WIRE 2096 688 2096 848
            WIRE 2656 688 2704 688
            WIRE 2656 688 2656 848
            WIRE 3296 688 3296 848
        END BRANCH
        BEGIN BRANCH CLK_IN
            WIRE 112 608 192 608
            WIRE 112 608 112 944
            WIRE 112 944 272 944
        END BRANCH
        BEGIN BRANCH XLXN_120
            WIRE 1040 1968 1040 2080
            WIRE 1040 1968 1088 1968
            WIRE 1088 1968 1744 1968
            WIRE 1744 1968 2384 1968
            WIRE 1088 1856 1088 1968
            WIRE 1744 1856 1744 1968
            WIRE 2384 1856 2384 1968
        END BRANCH
        IOMARKER 272 944 CLK_IN R0 28
        BEGIN BRANCH XLXN_139
            WIRE 1936 464 2032 464
            WIRE 2032 464 2032 592
            WIRE 2032 592 2128 592
        END BRANCH
        BEGIN BRANCH XLXN_140
            WIRE 2512 464 2608 464
            WIRE 2608 464 2608 592
            WIRE 2608 592 2704 592
        END BRANCH
        BEGIN BRANCH XLXN_141
            WIRE 3088 464 3184 464
            WIRE 3184 464 3184 592
            WIRE 3184 592 3296 592
        END BRANCH
        BEGIN BRANCH XLXN_142
            WIRE 1072 1296 1072 1760
            WIRE 1072 1760 1088 1760
            WIRE 1072 1296 3728 1296
            WIRE 3680 464 3728 464
            WIRE 3728 464 3728 1296
        END BRANCH
        BEGIN BRANCH XLXN_143
            WIRE 1472 1632 1600 1632
            WIRE 1600 1632 1600 1760
            WIRE 1600 1760 1744 1760
        END BRANCH
        BEGIN BRANCH XLXN_144
            WIRE 2128 1632 2256 1632
            WIRE 2256 1632 2256 1760
            WIRE 2256 1760 2384 1760
        END BRANCH
        INSTANCE XLXI_33 2384 1888 R0
        BEGIN BRANCH XLXN_150
            WIRE 2016 112 2112 112
            WIRE 2112 112 2112 528
            WIRE 2112 528 2128 528
            WIRE 2112 112 2688 112
            WIRE 2688 112 2688 528
            WIRE 2688 528 2704 528
            WIRE 2688 112 3152 112
            WIRE 3152 112 3152 528
            WIRE 3152 528 3296 528
        END BRANCH
        INSTANCE XLXI_42 1952 112 R0
        BEGIN BRANCH XLXN_151
            WIRE 880 1216 992 1216
            WIRE 992 1216 992 1696
            WIRE 992 1696 1088 1696
            WIRE 992 1216 1664 1216
            WIRE 1664 1216 1664 1696
            WIRE 1664 1696 1744 1696
            WIRE 1664 1216 2304 1216
            WIRE 2304 1216 2304 1696
            WIRE 2304 1696 2384 1696
        END BRANCH
        INSTANCE XLXI_43 816 1216 R0
        IOMARKER 3008 1632 CLK_OUT R0 28
        BEGIN BRANCH CLK_OUT
            WIRE 2768 1632 3008 1632
        END BRANCH
        BEGIN BRANCH XLXN_153
            WIRE 576 352 1008 352
            WIRE 1008 352 1008 592
            WIRE 1008 592 1552 592
        END BRANCH
    END SHEET
END SCHEMATIC
